> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Me Route



## OpenAPI

````yaml /api/openapi.json get /api/auth/me
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/auth/me:
    get:
      tags:
        - auth
      summary: Me Route
      operationId: me_route_api_auth_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserOut'
components:
  schemas:
    UserOut:
      properties:
        username:
          type: string
          title: Username
        display_name:
          type: string
          title: Display Name
        must_change_pw:
          type: boolean
          title: Must Change Pw
        permissions:
          items:
            $ref: '#/components/schemas/PermissionPair'
          type: array
          title: Permissions
          default: []
      type: object
      required:
        - username
        - display_name
        - must_change_pw
      title: UserOut
    PermissionPair:
      properties:
        verb:
          type: string
          title: Verb
        resource_glob:
          type: string
          title: Resource Glob
      type: object
      required:
        - verb
        - resource_glob
      title: PermissionPair

````